
/*
 * config.h
 *
 * Configuration directives for TRueView
 */
#ifndef TRV_CONFIG_H
#define TRV_CONFIG_H 1

/*
 * If INCLUDE_TR4_SUPPORT is #define'd, the zlib compression routines will
 * be linked in.  If it is #undef'd, the zlib compression routines will
 * NOT be linked in.
 */
#ifndef LINUX
#define INCLUDE_TR4_SUPPORT
#endif

/*
 * ROTATE_DELTA indicates how far the camera will rotate per keypress when
 * <- or -> are pressed.  Note that this is in radians, not degrees.
 * The default is (Pi / 18.0), which seems to work just fine.
 */
#define ROTATE_DELTA          (Pi / 18.0) // one rotation unit

/*
 * TRANSLATE_DELTA indicates how far the camera will move when the up-arrow
 * or down-arrow is pressed.  It is effectively the "step size".
 * If you're using a system with fast OpenGL rendering, a smaller step size
 * can provide smoother motion;  if you're on a slow system, you'll want to
 * take larger steps.  The default step sizes are 256 for fast systems and
 * 512 for slower systems.
 */
#define TRANSLATE_DELTA       256   // one "step" forward or backward

/*
 * Debugging macros - #define or #undef these as desired.
 */
#undef DO_STDOUT                    // write debugging info to stdout window
#undef USE_8_BIT_TEXTURES           // use 8-bit palettised textures instead of 16-bit textures


#endif
